Bug 1904091 - Missing registry v1 protocol usage metric on telemetry
Summary: Missing registry v1 protocol usage metric on telemetry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.z
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1885856
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-03 14:10 UTC by Ricardo Maraschini
Modified: 2021-02-08 13:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1885856
Environment:
Last Closed: 2021-02-08 13:50:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 646 0 None closed [release-4.6] Bug 1904091: Creating prometheus record rule for v1 imports 2021-02-02 08:01:52 UTC
Github openshift cluster-monitoring-operator pull 1002 0 None closed [release-4.6] Bug 1904091: Exporting registry v1 protocol usage metric 2021-02-02 08:01:52 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:05 UTC

Comment 5 Wenjing Zheng 2021-02-02 09:33:27 UTC
$ oc -n openshift-monitoring get cm telemetry-config -o jsonpath="{.data.metrics\.yaml}"
# (image-registry-team) :apiserver_v1_image_imports:sum counts the number of image stream
# imports made using registry protocol v1, we are deprecating this version of the protocol and will use this metric to identify how
# many users are impacted by deprecation and when usage has reached zero
- '{__name__=":apiserver_v1_image_imports:sum"}'

Verified on 4.6.0-0.nightly-2021-01-30-211400.

Comment 7 errata-xmlrpc 2021-02-08 13:50:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308


Note You need to log in before you can comment on or make changes to this bug.